Index: code/trunk/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 11056)
+++ code/trunk/src/modules/designtools/ScreenshotManager.cc	(revision 11071)
@@ -69,5 +69,5 @@
         Constructor. 
     */
-    ScreenshotManager::ScreenshotManager() : finalPicturePB_(NULL), data_(NULL)
+    ScreenshotManager::ScreenshotManager() : finalPicturePB_(nullptr), data_(nullptr)
     {
         RegisterObject(ScreenshotManager);
@@ -90,13 +90,13 @@
     void ScreenshotManager::cleanup(void)
     {
-        if(this->finalPicturePB_ != NULL)
+        if(this->finalPicturePB_ != nullptr)
         {
             delete this->finalPicturePB_;
-            this->finalPicturePB_ = NULL;
-        }
-        if(this->data_ != NULL)
+            this->finalPicturePB_ = nullptr;
+        }
+        if(this->data_ != nullptr)
         {
             delete this->data_;
-            this->data_ = NULL;
+            this->data_ = nullptr;
         }
         if(!this->tempTexture_.isNull())
@@ -151,5 +151,5 @@
         // Get the screenshot.
         Ogre::Image* finalImage = getScreenshot();
-        if(finalImage != NULL)
+        if(finalImage != nullptr)
         {
             // Save it.
@@ -173,6 +173,6 @@
     Ogre::Image* ScreenshotManager::getScreenshot()
     {
-        if(CameraManager::getInstance().getActiveCamera() == NULL )
-            return NULL;
+        if(CameraManager::getInstance().getActiveCamera() == nullptr )
+            return nullptr;
         return this->getScreenshot(CameraManager::getInstance().getActiveCamera()->getOgreCamera());
     }
@@ -189,6 +189,6 @@
     Ogre::Image* ScreenshotManager::getScreenshot(Ogre::Camera* camera)
     {
-        if(camera == NULL)
-            return NULL;
+        if(camera == nullptr)
+            return nullptr;
         
         // Update the internal parameters.
Index: code/trunk/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 11056)
+++ code/trunk/src/modules/designtools/SkyboxGenerator.cc	(revision 11071)
@@ -82,17 +82,17 @@
         this->faceCounter_ = 0;
         
-        this->names_.push_back("fr");
-        this->names_.push_back("lf");
-        this->names_.push_back("bk");
-        this->names_.push_back("rt");
-        this->names_.push_back("up");
-        this->names_.push_back("dn");
-        
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 0));
-        this->rotations_.push_back(std::pair<int, int>(90, 90));
-        this->rotations_.push_back(std::pair<int, int>(0, 180));
-        this->rotations_.push_back(std::pair<int, int>(0, 90));
+        this->names_.emplace_back("fr");
+        this->names_.emplace_back("lf");
+        this->names_.emplace_back("bk");
+        this->names_.emplace_back("rt");
+        this->names_.emplace_back("up");
+        this->names_.emplace_back("dn");
+        
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 0);
+        this->rotations_.emplace_back(90, 90);
+        this->rotations_.emplace_back(0, 180);
+        this->rotations_.emplace_back(0, 90);
     }
 
@@ -146,6 +146,6 @@
             }
 
-            ControllableEntity* entity = NULL;
-            if(HumanController::getLocalControllerSingleton() != NULL && HumanController::getLocalControllerSingleton()->getControllableEntity() != NULL)
+            ControllableEntity* entity = nullptr;
+            if(HumanController::getLocalControllerSingleton() != nullptr && HumanController::getLocalControllerSingleton()->getControllableEntity() != nullptr)
                 entity = HumanController::getLocalControllerSingleton()->getControllableEntity();
             else
Index: code/trunk/src/modules/designtools/SkyboxGenerator.h
===================================================================
--- code/trunk/src/modules/designtools/SkyboxGenerator.h	(revision 11056)
+++ code/trunk/src/modules/designtools/SkyboxGenerator.h	(revision 11071)
@@ -65,5 +65,5 @@
             SkyboxGenerator();
             virtual ~SkyboxGenerator();
-            void tick(float dt); // This is where the skybox generation happens.
+            virtual void tick(float dt) override; // This is where the skybox generation happens.
             static void createSkybox(void); // Generate the 6 faces of a skybox.
             void setConfigValues(void); // Sets some config values.
@@ -106,5 +106,5 @@
             
             std::vector<std::string> names_; //!< The names of the image files for the skybox faces to be generated.
-            std::vector< std::pair<int, int> > rotations_; //!< The rotation in yaw an pitch direction that is applied to the camera after a specific face has been generated.
+            std::vector< std::pair<int, int>> rotations_; //!< The rotation in yaw an pitch direction that is applied to the camera after a specific face has been generated.
             
             // Storage variables
Index: code/trunk/src/modules/docking/Dock.cc
===================================================================
--- code/trunk/src/modules/docking/Dock.cc	(revision 11056)
+++ code/trunk/src/modules/docking/Dock.cc	(revision 11071)
@@ -87,8 +87,8 @@
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-        PlayerInfo* player = NULL;
+        PlayerInfo* player = nullptr;
 
         // Check whether it is a player trigger and extract pawn from it
-        if(pTrigger != NULL)
+        if(pTrigger != nullptr)
         {
             if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
@@ -103,5 +103,5 @@
             return false;
         }
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
@@ -131,8 +131,8 @@
     {
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
-        PlayerInfo* player = NULL;
+        PlayerInfo* player = nullptr;
 
         // Check whether it is a player trigger and extract pawn from it
-        if(pTrigger != NULL)
+        if(pTrigger != nullptr)
         {
             if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
@@ -147,5 +147,5 @@
             return false;
         }
-        if(player == NULL)
+        if(player == nullptr)
         {
             orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
@@ -214,7 +214,7 @@
     {
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->dock(player))
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->dock(player))
                 break;
         }
@@ -224,7 +224,7 @@
     {
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->undock(player))
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->undock(player))
                 break;
         }
@@ -295,7 +295,7 @@
         int i = 0;
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->candidates_.find(player) != it->candidates_.end())
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->candidates_.find(player) != dock->candidates_.end())
                 i++;
         }
@@ -306,14 +306,14 @@
     {
         PlayerInfo* player = HumanController::getLocalControllerSingleton()->getPlayer();
-        for(ObjectList<Dock>::iterator it = ObjectList<Dock>::begin(); it != ObjectList<Dock>::end(); ++it)
-        {
-            if(it->candidates_.find(player) != it->candidates_.end())
+        for(Dock* dock : ObjectList<Dock>())
+        {
+            if(dock->candidates_.find(player) != dock->candidates_.end())
             {
                 if(index == 0)
-                    return *it;
+                    return dock;
                 index--;
             }
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -327,11 +327,11 @@
     const DockingEffect* Dock::getEffect(unsigned int i) const
     {
-        for (std::list<DockingEffect*>::const_iterator effect = this->effects_.begin(); effect != this->effects_.end(); ++effect)
+        for (DockingEffect* effect : this->effects_)
         {
             if(i == 0)
-               return *effect;
+               return effect;
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -346,11 +346,11 @@
     const DockingAnimation* Dock::getAnimation(unsigned int i) const
     {
-        for (std::list<DockingAnimation*>::const_iterator animation = this->animations_.begin(); animation != this->animations_.end(); ++animation)
+        for (DockingAnimation* animation : this->animations_)
         {
             if(i == 0)
-               return *animation;
+               return animation;
             i--;
         }
-        return NULL;
+        return nullptr;
     }
 }
Index: code/trunk/src/modules/docking/Dock.h
===================================================================
--- code/trunk/src/modules/docking/Dock.h	(revision 11056)
+++ code/trunk/src/modules/docking/Dock.h	(revision 11071)
@@ -65,6 +65,6 @@
 
             // XML interface
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             // XML functions
Index: code/trunk/src/modules/docking/DockToShip.cc
===================================================================
--- code/trunk/src/modules/docking/DockToShip.cc	(revision 11056)
+++ code/trunk/src/modules/docking/DockToShip.cc	(revision 11071)
@@ -72,5 +72,5 @@
 
         DockingTarget *target = DockingEffect::findTarget(this->target_);
-        if (target == NULL) {
+        if (target == nullptr) {
             orxout(internal_warning, context::docking) << "Can't retrieve target for '" << this->target_ << "'.." << endl;
             return false;
@@ -78,5 +78,5 @@
 
         ControllableEntity *dockTo = (ControllableEntity*) target->getParent();
-        if (dockTo == NULL) {
+        if (dockTo == nullptr) {
             orxout(internal_warning, context::docking) << "Parent is not a ControllableEntity.." << endl;
             return false;
Index: code/trunk/src/modules/docking/DockToShip.h
===================================================================
--- code/trunk/src/modules/docking/DockToShip.h	(revision 11056)
+++ code/trunk/src/modules/docking/DockToShip.h	(revision 11071)
@@ -60,10 +60,10 @@
             virtual ~DockToShip();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void setTargetId(const std::string& str);
             const std::string& getTargetId() const;
 
-            virtual bool docking(PlayerInfo* player); //!< Called when docking starts
-            virtual bool release(PlayerInfo* player); //!< Called when player wants undock
+            virtual bool docking(PlayerInfo* player) override; //!< Called when docking starts
+            virtual bool release(PlayerInfo* player) override; //!< Called when player wants undock
         private:
             std::string target_;
Index: code/trunk/src/modules/docking/DockingAnimation.cc
===================================================================
--- code/trunk/src/modules/docking/DockingAnimation.cc	(revision 11056)
+++ code/trunk/src/modules/docking/DockingAnimation.cc	(revision 11071)
@@ -45,5 +45,5 @@
         RegisterObject(DockingAnimation);
 
-        this->parent_ = NULL;
+        this->parent_ = nullptr;
     }
 
@@ -57,10 +57,10 @@
         bool check = true;
 
-        for (std::list<DockingAnimation*>::iterator animation = animations.begin(); animation != animations.end(); animation++)
+        for (DockingAnimation* animation : animations)
         {
             if(dock)
-                check &= (*animation)->docking(player);
+                check &= animation->docking(player);
             else
-                check &= (*animation)->release(player);
+                check &= animation->release(player);
         }
 
Index: code/trunk/src/modules/docking/DockingController.cc
===================================================================
--- code/trunk/src/modules/docking/DockingController.cc	(revision 11056)
+++ code/trunk/src/modules/docking/DockingController.cc	(revision 11071)
@@ -44,7 +44,7 @@
         RegisterObject(DockingController);
 
-        this->dock_ = NULL;
-        this->player_ = NULL;
-        this->entity_ = NULL;
+        this->dock_ = nullptr;
+        this->player_ = nullptr;
+        this->entity_ = nullptr;
     }
 
@@ -122,5 +122,5 @@
         this->player_->startControl(this->entity_);
         this->setActive(false);
-        this->controllableEntity_ = NULL;
+        this->controllableEntity_ = nullptr;
 
         if (this->docking_)
Index: code/trunk/src/modules/docking/DockingController.h
===================================================================
--- code/trunk/src/modules/docking/DockingController.h	(revision 11056)
+++ code/trunk/src/modules/docking/DockingController.h	(revision 11071)
@@ -45,5 +45,5 @@
             virtual ~DockingController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             void takeControl(bool docking);
@@ -53,5 +53,5 @@
 
         protected:
-            virtual void positionReached();
+            virtual void positionReached() override;
 
         private:
Index: code/trunk/src/modules/docking/DockingEffect.cc
===================================================================
--- code/trunk/src/modules/docking/DockingEffect.cc	(revision 11056)
+++ code/trunk/src/modules/docking/DockingEffect.cc	(revision 11071)
@@ -53,10 +53,10 @@
         bool check = true;
 
-        for (std::list<DockingEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
+        for (DockingEffect* effect : effects)
         {
             if (dock)
-                check &= (*effect)->docking(player);
+                check &= effect->docking(player);
             else
-                check &= (*effect)->release(player);
+                check &= effect->release(player);
         }
 
@@ -65,10 +65,10 @@
 
     DockingTarget *DockingEffect::findTarget(std::string name) {
-        for (ObjectList<DockingTarget>::iterator it = ObjectList<DockingTarget>::begin(); it != ObjectList<DockingTarget>::end(); ++it)
+        for (DockingTarget* target : ObjectList<DockingTarget>())
         {
-            if ((*it)->getName().compare(name) == 0)
-                return (*it);
+            if (target->getName().compare(name) == 0)
+                return target;
         }
-        return NULL;
+        return nullptr;
     }
 }
Index: code/trunk/src/modules/docking/DockingTarget.cc
===================================================================
--- code/trunk/src/modules/docking/DockingTarget.cc	(revision 11056)
+++ code/trunk/src/modules/docking/DockingTarget.cc	(revision 11071)
@@ -34,5 +34,4 @@
 #include "DockingTarget.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 
 
@@ -49,12 +48,4 @@
     {
     }
-
-    void DockingTarget::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(DockingTarget, XMLPort, xmlelement, mode);
-
-        orxout(verbose, context::docking) << "DockingTarget with name '" << this->getName() << "' created.." << endl;
-    }
-
 }
 
Index: code/trunk/src/modules/docking/DockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/DockingTarget.h	(revision 11056)
+++ code/trunk/src/modules/docking/DockingTarget.h	(revision 11071)
@@ -58,6 +58,4 @@
             virtual ~DockingTarget();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
     };
 
Index: code/trunk/src/modules/docking/MoveToDockingTarget.h
===================================================================
--- code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11056)
+++ code/trunk/src/modules/docking/MoveToDockingTarget.h	(revision 11071)
@@ -59,6 +59,6 @@
             virtual ~MoveToDockingTarget();
 
-            virtual bool docking(PlayerInfo* player); //!< Called when a player starts docking
-            virtual bool release(PlayerInfo* player); //!< Called when player wants to undock
+            virtual bool docking(PlayerInfo* player) override; //!< Called when a player starts docking
+            virtual bool release(PlayerInfo* player) override; //!< Called when player wants to undock
     };
 
Index: code/trunk/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRace.cc	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRace.cc	(revision 11071)
@@ -59,5 +59,5 @@
         comboTimer.setTimer(3.0f, true, createExecutor(createFunctor(&DodgeRace::comboControll, this)));
         this->numberOfBots_ = 0; //sets number of default bots temporarly to 0
-        this->center_ = 0;
+        this->center_ = nullptr;
 
         this->setHUDTemplate("DodgeRaceHUD");
@@ -67,5 +67,5 @@
     {
         level++;
-        if (getPlayer() != NULL)
+        if (getPlayer() != nullptr)
         {
             for (int i = 0; i < 7; i++)
@@ -89,5 +89,5 @@
     void DodgeRace::tick(float dt)
     {
-        if (getPlayer() != NULL)
+        if (getPlayer() != nullptr)
         {
             currentPosition = getPlayer()->getWorldPosition().x;
@@ -138,9 +138,9 @@
     DodgeRaceShip* DodgeRace::getPlayer()
     {
-        if (player == NULL)
-        {
-            for (ObjectList<DodgeRaceShip>::iterator it = ObjectList<DodgeRaceShip>::begin(); it != ObjectList<DodgeRaceShip>::end(); ++it)
-            {
-                player = *it;
+        if (player == nullptr)
+        {
+            for (DodgeRaceShip* ship : ObjectList<DodgeRaceShip>())
+            {
+                player = ship;
             }
         }
@@ -177,5 +177,5 @@
         this->bForceSpawn_ = false;
 
-        if (this->center_ == NULL)  // abandon mission!
+        if (this->center_ == nullptr)  // abandon mission!
         {
             orxout(internal_error) << "DodgeRace: No Centerpoint specified." << endl;
Index: code/trunk/src/modules/dodgerace/DodgeRace.h
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRace.h	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRace.h	(revision 11071)
@@ -68,10 +68,10 @@
             DodgeRace(Context* context);
 
-            virtual void start();
-            virtual void end();
+            virtual void start() override;
+            virtual void end() override;
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void playerPreSpawn(PlayerInfo* player);
+            virtual void playerPreSpawn(PlayerInfo* player) override;
 
             void levelUp();
@@ -84,5 +84,5 @@
             void setCenterpoint(DodgeRaceCenterPoint* center)
                        { this->center_ = center; }
-            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
 
             // checks if multiplier should be reset.
Index: code/trunk/src/modules/dodgerace/DodgeRaceCenterPoint.cc
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRaceCenterPoint.cc	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRaceCenterPoint.cc	(revision 11071)
@@ -49,12 +49,7 @@
     }
 
-    void DodgeRaceCenterPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(DodgeRaceCenterPoint, XMLPort, xmlelement, mode);
-    }
-
     void DodgeRaceCenterPoint::checkGametype()
     {
-        if (this->getGametype() != NULL && this->getGametype()->isA(Class(DodgeRace)))
+        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(DodgeRace)))
         {
             DodgeRace* DodgeRaceGametype = orxonox_cast<DodgeRace*>(this->getGametype());
Index: code/trunk/src/modules/dodgerace/DodgeRaceCenterPoint.h
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRaceCenterPoint.h	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRaceCenterPoint.h	(revision 11071)
@@ -50,6 +50,4 @@
             DodgeRaceCenterPoint(Context* context); //checks whether the gametype is actually DodgeRace.
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
         private:
             void checkGametype();
Index: code/trunk/src/modules/dodgerace/DodgeRaceHUDinfo.cc
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRaceHUDinfo.cc	(revision 11071)
@@ -40,5 +40,5 @@
         RegisterObject(DodgeRaceHUDinfo);
 
-        this->DodgeRaceGame = 0;
+        this->DodgeRaceGame = nullptr;
         this->bShowPoints_ = true;
     }
@@ -86,5 +86,5 @@
         else
         {
-            this->DodgeRaceGame = 0;
+            this->DodgeRaceGame = nullptr;
         }
     }
Index: code/trunk/src/modules/dodgerace/DodgeRaceHUDinfo.h
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRaceHUDinfo.h	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRaceHUDinfo.h	(revision 11071)
@@ -44,7 +44,7 @@
             DodgeRaceHUDinfo(Context* context);
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowPoints(bool value)
Index: code/trunk/src/modules/dodgerace/DodgeRaceShip.cc
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRaceShip.cc	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRaceShip.cc	(revision 11071)
@@ -91,5 +91,5 @@
         // Camera
         Camera* camera = this->getCamera();
-        if (camera != NULL)
+        if (camera != nullptr)
         {
             // camera->setPosition(Vector3(-pos.z, -posforeward, 0));
@@ -142,5 +142,5 @@
     }
 
-    inline bool DodgeRaceShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
+    inline bool DodgeRaceShip::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
     {
 
@@ -152,9 +152,9 @@
     DodgeRace* DodgeRaceShip::getGame()
     {
-        if (game == NULL)
+        if (game == nullptr)
         {
-            for (ObjectList<DodgeRace>::iterator it = ObjectList<DodgeRace>::begin(); it != ObjectList<DodgeRace>::end(); ++it)
+            for (DodgeRace* race : ObjectList<DodgeRace>())
             {
-                game = *it;
+                game = race;
             }
         }
Index: code/trunk/src/modules/dodgerace/DodgeRaceShip.h
===================================================================
--- code/trunk/src/modules/dodgerace/DodgeRaceShip.h	(revision 11056)
+++ code/trunk/src/modules/dodgerace/DodgeRaceShip.h	(revision 11071)
@@ -52,21 +52,23 @@
             DodgeRaceShip(Context* context);
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             // overwrite for 2d movement
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
 
             // Starts or stops fireing
-            virtual void boost(bool bBoost);
+            virtual void boost(bool bBoost) override;
 
             //no rotation!
-            virtual void rotateYaw(const Vector2& value){};
-            virtual void rotatePitch(const Vector2& value){};
+            virtual void rotateYaw(const Vector2& value) override{};
+            virtual void rotatePitch(const Vector2& value) override{};
 
             //return to main menu if game has ended.
-            virtual void rotateRoll(const Vector2& value){if (getGame()) if (getGame()->bEndGame) getGame()->end();};
+            virtual void rotateRoll(const Vector2& value) override{if (getGame()) if (getGame()->bEndGame) getGame()->end();};
 
             virtual void updateLevel();
+
+            virtual inline bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
 
             float speed, damping, posforeward;
@@ -74,8 +76,7 @@
 
         protected:
-            virtual void death();
+            virtual void death() override;
 
         private:
-            virtual inline bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
             DodgeRace* getGame();
             WeakPtr<DodgeRace> game;
Index: code/trunk/src/modules/gametypes/OldRaceCheckPoint.cc
===================================================================
--- code/trunk/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 11056)
+++ code/trunk/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 11071)
@@ -49,5 +49,5 @@
 
         this->setRadarObjectColour(ColourValue::Blue);
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
         this->setRadarVisibility(false);
     }
Index: code/trunk/src/modules/gametypes/OldRaceCheckPoint.h
===================================================================
--- code/trunk/src/modules/gametypes/OldRaceCheckPoint.h	(revision 11056)
+++ code/trunk/src/modules/gametypes/OldRaceCheckPoint.h	(revision 11071)
@@ -48,9 +48,9 @@
             virtual ~OldRaceCheckPoint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             protected:
-            virtual void triggered(bool bIsTriggered);
+            virtual void triggered(bool bIsTriggered) override;
             inline void setLast(bool isLast)
                 { this->bIsLast_ = isLast; }
@@ -64,5 +64,5 @@
             inline float getTimeLimit()
                 { return this->bTimeLimit_;}
-            inline const WorldEntity* getWorldEntity() const
+            virtual inline const WorldEntity* getWorldEntity() const override
                 { return this; }
 
Index: code/trunk/src/modules/gametypes/OldSpaceRace.h
===================================================================
--- code/trunk/src/modules/gametypes/OldSpaceRace.h	(revision 11056)
+++ code/trunk/src/modules/gametypes/OldSpaceRace.h	(revision 11071)
@@ -55,9 +55,9 @@
             virtual ~OldSpaceRace() {}
 
-            virtual void start();
-            virtual void end();
+            virtual void start() override;
+            virtual void end() override;
 
             virtual void newCheckpointReached();
-            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command.
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command.
                                                         //<! This is only a temporary solution. Better: create racingBots.
 
Index: code/trunk/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- code/trunk/src/modules/gametypes/RaceCheckPoint.cc	(revision 11056)
+++ code/trunk/src/modules/gametypes/RaceCheckPoint.cc	(revision 11071)
@@ -53,5 +53,5 @@
 
         this->setRadarObjectColour(ColourValue::Blue);
-        this->setRadarObjectShape(RadarViewable::Triangle);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
         this->setRadarVisibility(false);
         this->settingsChanged();
@@ -125,5 +125,5 @@
             }
         }
-        return NULL;
+        return nullptr;
     }
 
@@ -146,11 +146,11 @@
     {
         Vector3 checkpoints(-1,-1,-1); int count=0;
-        for (std::set<int>::iterator it= nextCheckpoints_.begin();it!=nextCheckpoints_.end(); it++ )
+        for (int nextCheckpoint : nextCheckpoints_)
         {
             switch (count)
             {
-                case 0: checkpoints.x = static_cast<Ogre::Real>(*it); break;
-                case 1: checkpoints.y = static_cast<Ogre::Real>(*it); break;
-                case 2: checkpoints.z = static_cast<Ogre::Real>(*it); break;
+                case 0: checkpoints.x = static_cast<Ogre::Real>(nextCheckpoint); break;
+                case 1: checkpoints.y = static_cast<Ogre::Real>(nextCheckpoint); break;
+                case 2: checkpoints.z = static_cast<Ogre::Real>(nextCheckpoint); break;
             }
             ++count;
Index: code/trunk/src/modules/gametypes/RaceCheckPoint.h
===================================================================
--- code/trunk/src/modules/gametypes/RaceCheckPoint.h	(revision 11056)
+++ code/trunk/src/modules/gametypes/RaceCheckPoint.h	(revision 11071)
@@ -48,5 +48,5 @@
             virtual ~RaceCheckPoint();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setCheckpointIndex(int checkpointIndex)
@@ -92,7 +92,7 @@
         protected:
 
-            virtual void fire(bool bIsTriggered, BaseObject* originator);
+            virtual void fire(bool bIsTriggered, BaseObject* originator) override;
 
-            inline const WorldEntity* getWorldEntity() const
+            virtual inline const WorldEntity* getWorldEntity() const override
             {
                 return this;
